Public Member Functions | Public Attributes | Friends | List of all members
RagTime5TextInternal::PLC Struct Reference

a PLC of a RagTime5Text More...

## Public Member Functions
| PLC ()
| constructor More...

## Public Attributes
int | m_position
| the position in the text More...
int | m_fileType
| the file type More...
int | m_value
| an unknown value More...

## Friends
std::ostream & | operator<< (std::ostream &o, PLC const &plc)
| operator<< More...

## Detailed Description

a PLC of a RagTime5Text

## Constructor & Destructor Documentation

## ◆ PLC()

RagTime5TextInternal::PLC::PLC | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | PLC const & | plc
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_fileType

int RagTime5TextInternal::PLC::m_fileType

the file type

Referenced by RagTime5Text::readPLC().

## ◆ m_position

int RagTime5TextInternal::PLC::m_position

the position in the text

Referenced by RagTime5Text::readPLC(), and RagTime5Text::readPLCToCharStyle().

## ◆ m_value

int RagTime5TextInternal::PLC::m_value

an unknown value

Referenced by RagTime5Text::readPLC().

The documentation for this struct was generated from the following file:

- RagTime5Text.cxx